Results 1 to 7 of 7

Thread: LibreOffice 4.2 Install Problem

  1. #1
    Join Date
    Nov 2013
    Location
    Ljubljana, Slovenia
    Posts
    465

    Default LibreOffice 4.2 Install Problem

    Hey guys. Attempting to install Libreoffice 4.2 from LibreOffice4.2 repository, but i keep getting this error:

    Code:
    nothing provides libfreehand-0.0.so.()(64bit) needed by libreoffice-4.2.5.2-15.2.x86_64
    Thanks for your help in advance!

    edit: let me add i've installed the libfreehand package form the repositories, but it doesn't work and gives the same error.
    Running openSUSE Leap 42.3 + KDE

  2. #2

    Default Re: LibreOffice 4.2 Install Problem

    Quote Originally Posted by holden87 View Post
    Hey guys. Attempting to install Libreoffice 4.2 from LibreOffice4.2 repository, but i keep getting this error:

    Code:
    nothing provides libfreehand-0.0.so.()(64bit) needed by libreoffice-4.2.5.2-15.2.x86_64
    Thanks for your help in advance!

    edit: let me add i've installed the libfreehand package form the repositories, but it doesn't work and gives the same error.
    libfreehand has been updated to 0.1.0 2 days ago, but libreoffice has not been rebuilt yet so it still requires libfreehand 0.0.0 which is not available any more.

    Unfortunately there's more broken in the repo, so libreoffice does not build at the moment.

    Please be patient until this is fixed.

  3. #3
    Join Date
    Nov 2013
    Location
    Ljubljana, Slovenia
    Posts
    465

    Default Re: LibreOffice 4.2 Install Problem

    Thanks, will do. Will you maybe post an update in this thread when it works?

    Regards,
    Running openSUSE Leap 42.3 + KDE

  4. #4

    Default Re: LibreOffice 4.2 Install Problem

    Quote Originally Posted by holden87 View Post
    Thanks, will do. Will you maybe post an update in this thread when it works?
    Yes, I can do that.

    I hope I don't forget though...

  5. #5

    Default Re: LibreOffice 4.2 Install Problem

    You should be able to install LO 4.2 again.
    The repo has been republished, and all dependencies seem to be ok now.

    Actually the breakage was fixed ~22hours ago already, but it takes a long time to rebuild the whole repo (the libreoffice package alone needs 6 hours).

    Btw, libfreehand 0.1 landed in LO:42 by mistake. The update was only intended for LO:Factory.
    This has been reverted to 0.0 in LO:42.

    But that was not the only problem.

    In short, some packages in LO:42 were still links to LO:Factory although they shouldn't have been (including libreoffice itself, where the link broke because of a change in LO:Factory, that's why it didn't rebuild against libfreehand 0.1), but all this should be fixed now.
    Last edited by wolfi323; 31-Jul-2014 at 01:05.

  6. #6
    Join Date
    Nov 2013
    Location
    Ljubljana, Slovenia
    Posts
    465

    Default Re: LibreOffice 4.2 Install Problem

    As you have solved a number of issues for me in the past months/years, I truly hope to meet you some day and buy you a hundred beers!

    Thanks again!
    Running openSUSE Leap 42.3 + KDE

  7. #7

    Default Re: LibreOffice 4.2 Install Problem

    Quote Originally Posted by holden87 View Post
    As you have solved a number of issues for me in the past months/years,
    Well, in this case I didn't solve anything.
    I just watched the repo's status...

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •